Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1146202

Summary: [abrt] gtk-recordmydesktop: rmdSelectThumb.py:79:__subsample__:AttributeError: 'NoneType' object has no attribute 'get_pixel'
Product: [Fedora] Fedora Reporter: Mikhail <mikhail.v.gavrilov>
Component: gtk-recordmydesktopAssignee: Mat Booth <mat.booth>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: bugzilla, fedora, hedayatv, jhaar, mat.booth, nphilipp, ravindrapankaj, sbandyop, youssef.m.sourani
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/d17cfcbdb71552d59d0915a75b5b41dbf646676b
Whiteboard: abrt_hash:c7d49e57242935816ce643ac10ac53730d5b62f5
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-11-20 10:03:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    
Attachments:
Description Flags
File: backtrace
none
File: environ none

Description Mikhail 2014-09-24 18:23:10 UTC
Version-Release number of selected component:
gtk-recordmydesktop-0.3.8-11.fc21

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/bin/gtk-recordMyDesktop
executable:     /usr/bin/gtk-recordMyDesktop
kernel:         3.16.3-300.fc21.x86_64+debug
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
rmdSelectThumb.py:79:__subsample__:AttributeError: 'NoneType' object has no attribute 'get_pixel'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSelectThumb.py", line 184, in update_image
    self.__subsample__(sroot,self.wwidth,self.wheight,self.root,self.factor)
  File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSelectThumb.py", line 79, in __subsample__
    im2.put_pixel(k/stride,i/stride,im1.get_pixel(k,i))
AttributeError: 'NoneType' object has no attribute 'get_pixel'

Local variables in innermost frame:
i: 0
h: 1080
k: 0
im1: None
stride: 8
im2: <gtk.gdk.Image object at 0x7f7be177cfa0 (GdkImage at 0x283f9b0)>
w: 1920
y: 0
x: 0
self: <GtkThumbSelector object at 0x7f7be177cf00 (GtkDrawingArea at 0x2838e00)>

Potential duplicate: bug 950113

Comment 1 Mikhail 2014-09-24 18:23:12 UTC
Created attachment 940875 [details]
File: backtrace

Comment 2 Mikhail 2014-09-24 18:23:14 UTC
Created attachment 940876 [details]
File: environ

Comment 3 Mikhail 2015-02-11 07:18:09 UTC
Another user experienced a similar problem:

recordMyDesktop couldn't launch under Wayland session

reporter:       libreport-2.3.0
cmdline:        /usr/bin/python /usr/bin/gtk-recordMyDesktop
executable:     /usr/bin/gtk-recordMyDesktop
kernel:         3.18.6-200.fc21.i686+PAE
package:        gtk-recordmydesktop-0.3.8-11.fc21
reason:         rmdSelectThumb.py:79:__subsample__:AttributeError: 'NoneType' object has no attribute 'get_pixel'
runlevel:       N 5
type:           Python
uid:            1001

Comment 4 Mat Booth 2015-04-03 17:33:33 UTC
*** Bug 1206430 has been marked as a duplicate of this bug. ***

Comment 5 Mikhail 2015-08-08 15:32:21 UTC
Still can't make screencast under Wayland session.

Comment 6 Shatadru Bandyopadhyay 2017-02-07 11:19:27 UTC
facing same issue here :
~~~
Feb 07 16:06:02 localhost.localdomain gtk-recordmydesktop.desktop[24435]: Traceback (most recent call last):
Feb 07 16:06:02 localhost.localdomain gtk-recordmydesktop.desktop[24435]:   File "/usr/bin/gtk-recordMyDesktop", line 43, in <module>
Feb 07 16:06:02 localhost.localdomain gtk-recordmydesktop.desktop[24435]:     main()
Feb 07 16:06:02 localhost.localdomain gtk-recordmydesktop.desktop[24435]:   File "/usr/bin/gtk-recordMyDesktop", line 40, in main
Feb 07 16:06:02 localhost.localdomain gtk-recordmydesktop.desktop[24435]:     tr=rmdSimple.simpleWidget()
Feb 07 16:06:02 localhost.localdomain gtk-recordmydesktop.desktop[24435]:   File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSimple.py", line 477, in __init__
Feb 07 16:06:02 localhost.localdomain gtk-recordmydesktop.desktop[24435]:     self.__subWidgets__()
Feb 07 16:06:02 localhost.localdomain gtk-recordmydesktop.desktop[24435]:   File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSimple.py", line 86, in __subWidgets__
Feb 07 16:06:02 localhost.localdomain gtk-recordmydesktop.desktop[24435]:     self.image=sT.GtkThumbSelector(self,self.values[5],self.hidden,2000)
Feb 07 16:06:02 localhost.localdomain gtk-recordmydesktop.desktop[24435]:   File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSelectThumb.py", line 69, in __init__
Feb 07 16:06:02 localhost.localdomain gtk-recordmydesktop.desktop[24435]:     self.__subsample__(sroot,self.wwidth,self.wheight,self.root,self.factor)
Feb 07 16:06:02 localhost.localdomain gtk-recordmydesktop.desktop[24435]:   File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSelectThumb.py", line 79, in __subsample__
Feb 07 16:06:02 localhost.localdomain gtk-recordmydesktop.desktop[24435]:     im2.put_pixel(k/stride,i/stride,im1.get_pixel(k,i))
Feb 07 16:06:02 localhost.localdomain gtk-recordmydesktop.desktop[24435]: AttributeError: 'NoneType' object has no attribute 'get_pixel'
~~~

Comment 7 Jason Haar 2017-08-24 04:36:36 UTC
Also present under FC26

$ gtk-recordMyDesktop 
Traceback (most recent call last):
  File "/usr/bin/gtk-recordMyDesktop", line 43, in <module>
    main()
  File "/usr/bin/gtk-recordMyDesktop", line 40, in main
    tr=rmdSimple.simpleWidget()
  File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSimple.py", line 477, in __init__
    self.__subWidgets__()
  File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSimple.py", line 86, in __subWidgets__
    self.image=sT.GtkThumbSelector(self,self.values[5],self.hidden,2000)
  File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSelectThumb.py", line 69, in __init__
    self.__subsample__(sroot,self.wwidth,self.wheight,self.root,self.factor)
  File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSelectThumb.py", line 79, in __subsample__
    im2.put_pixel(k/stride,i/stride,im1.get_pixel(k,i))
AttributeError: 'NoneType' object has no attribute 'get_pixel'
[jhaar@jhaar-nz-ll tmp]$ which !$
which gtk-recordMyDesktop
/usr/bin/gtk-recordMyDesktop
[jhaar@jhaar-nz-ll tmp]$ rpm -qf /usr/bin/gtk-recordMyDesktop
gtk-recordmydesktop-0.3.8-18.fc26.noarch
[jhaar@jhaar-nz-ll tmp]$ gtk-recordMyDesktop AttributeError: 'NoneType' object has no attribute 'get_pixel'
Traceback (most recent call last):
  File "/usr/bin/gtk-recordMyDesktop", line 43, in <module>
    main()
  File "/usr/bin/gtk-recordMyDesktop", line 40, in main
    tr=rmdSimple.simpleWidget()
  File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSimple.py", line 477, in __init__
    self.__subWidgets__()
  File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSimple.py", line 86, in __subWidgets__
    self.image=sT.GtkThumbSelector(self,self.values[5],self.hidden,2000)
  File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSelectThumb.py", line 69, in __init__
    self.__subsample__(sroot,self.wwidth,self.wheight,self.root,self.factor)
  File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSelectThumb.py", line 79, in __subsample__
    im2.put_pixel(k/stride,i/stride,im1.get_pixel(k,i))
AttributeError: 'NoneType' object has no attribute 'get_pixel'

Comment 8 Petr Pisar 2017-11-01 10:42:15 UTC
*** Bug 1324139 has been marked as a duplicate of this bug. ***

Comment 9 Petr Pisar 2017-11-01 10:42:39 UTC
*** Bug 1497885 has been marked as a duplicate of this bug. ***

Comment 10 Fedora End Of Life 2017-11-16 14:44:04 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Mat Booth 2017-11-20 10:03:33 UTC
This package was retired in rawhide. Upstream project is abandoned and consequently there are no plans to make it work on modern Wayland-based linux.